"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateRandomPointOnPathPerimeter = exports.generateRandomPointWithinPath = void 0;
const engine_1 = require("@tsparticles/engine");
function generateRandomPointWithinPath(ctx, path, center, size) {
    let randomPoint = null;
    for (let attempts = 0; attempts < 100; attempts++) {
        const tmpPoint = {
            x: center.x + (0, engine_1.getRandom)() * size.width - size.width / 2,
            y: center.y + (0, engine_1.getRandom)() * size.height - size.height / 2,
        };
        if (ctx.isPointInPath(path, tmpPoint.x, tmpPoint.y)) {
            randomPoint = tmpPoint;
            break;
        }
    }
    return randomPoint;
}
exports.generateRandomPointWithinPath = generateRandomPointWithinPath;
function generateRandomPointOnPathPerimeter(ctx, path, center, size) {
    let randomPoint = null;
    for (let attempts = 0; attempts < 100; attempts++) {
        const tmpPoint = {
            x: center.x + (0, engine_1.getRandom)() * size.width - size.width / 2,
            y: center.y + (0, engine_1.getRandom)() * size.height - size.height / 2,
        };
        if (ctx.isPointInStroke(path, tmpPoint.x, tmpPoint.y)) {
            randomPoint = tmpPoint;
            break;
        }
    }
    return randomPoint;
}
exports.generateRandomPointOnPathPerimeter = generateRandomPointOnPathPerimeter;
